Summary:	DHCPXD Daemon
Name:		dhcpxd
Version:	1.0.3
Release:	14mdk
License:	GPL
Group:		System/Servers

Source:		ftp://ftp.guido.yi.org:50021/dhcpxd-%{version}.tar.bz2
Patch1:		dhcpxd-1.0.3-resolvrdv.patch.bz2
Patch2:		dhcpxd-1.0.3-gcc-3.3.patch.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
The primary goal of this DHCP client is to conform to the DHCP specification
defined in RFC2131 which is now the draft standard. However, the client can
be told how to behave. Additionally, the client supports all-in-one-process
session managment as well as a process per session. It may also be used to
masquerade IP leases and has the capability of running on interface aliases.
Finally, perhaps the most advanced feature of the client is that all the
configuration that is required for setting up interfaces is in scripts that
are run at the appropriate times. 

%prep

%setup -q
%patch1 -p1 -b .resolvrdv
%patch2 -p1 -b .gcc3.3

%build
%configure
%ifnarch alpha
perl -pi -e 's/-Wall/\$(RPM_OPT_FLAGS) -Wall/g;' Makefile
%endif

%ifnarch alpha
%make RPM_OPT_FLAGS="%optflags"
%endif

%ifarch alpha
%make
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dhcpxd
cp -f filter $RPM_BUILD_ROOT%{_sysconfdir}/dhcpxd
cp -df install/* $RPM_BUILD_ROOT%{_sysconfdir}/dhcpxd

ln -sf /dev/log $RPM_BUILD_ROOT%{_sysconfdir}/dhcpxd/out

install -m 500 dhcpxd $RPM_BUILD_ROOT/sbin/dhcpxd
install -m 644 dhcpxd.8 $RPM_BUILD_ROOT%{_mandir}/man8/dhcpxd.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/dhcpxd
/sbin/dhcpxd
%{_mandir}/man8/dhcpxd.8*

%changelog
* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.3-14mdk
- fix gcc-3.3 patch (P2)

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.3-13mdk
- fix gcc-3.3 build (P2)
- rm -rf $RPM_BUILD_ROOT in %%install

* Mon Jan 20 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-12mdk
- launch update-resolvrd when rewriting resolv.conf.

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-11mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-10mdk
- Automated rebuild with gcc3.2

* Wed Jul 10 2002 Florin <florin@mandrakesoft.com> 1.0.3-9mdk
- recomplie for the latest gcc

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.3-8mdk
- PPC: build with gcc

* Mon Jan 15 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.3-7mdk
- Fix build on PPC
- %%config(noreplace)

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.3-6mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Sun Sep 24 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0.3-5mdk
- BM macro's

* Thu May 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-4mdk
- Don't compile with optmisations on alpha ports.

* Wed Apr 19 2000 Pixel <pixel@mandrakesoft.com> 1.0.3-3mdk
- change output from tty7 (nasty) to /dev/log (working?)

* Fri Apr 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-2mdk
- used spec-helper
- fix group

* Mon Mar 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com>
- first Mandrake release
